summaryrefslogtreecommitdiff
path: root/distro/ubuntu
diff options
context:
space:
mode:
Diffstat (limited to 'distro/ubuntu')
-rwxr-xr-xdistro/ubuntu/build36
-rwxr-xr-xdistro/ubuntu/postinst9
-rwxr-xr-xdistro/ubuntu/postrm6
-rwxr-xr-xdistro/ubuntu/preinst8
-rwxr-xr-xdistro/ubuntu/prerm11
5 files changed, 70 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 0000000..64b1309
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# fill it
+pkgname=libmateweather
+pkgver=2011.10.29
+pkgrel=1
+pkgdesc="Provides access to weather information from the net"
+depends=('libsoup-dev')
+#"mate-conf, mate-icon-theme"
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ libtoolize --force || return 1
+ gtkdocize || return 1
+ aclocal || return 1
+ autoconf || return 1
+ automake || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static \
+ --enable-locations-compression || return 1
+ make || return 1
+
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain libmateweather ${pkgdir}/etc/mateconf/schemas/*.schemas || return 1
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh
diff --git a/distro/ubuntu/postinst b/distro/ubuntu/postinst
new file mode 100755
index 0000000..5a3cded
--- /dev/null
+++ b/distro/ubuntu/postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+pkgname=libmateweather
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --install ${pkgname}
+fi
+
+exit 0
diff --git a/distro/ubuntu/postrm b/distro/ubuntu/postrm
new file mode 100755
index 0000000..67039ba
--- /dev/null
+++ b/distro/ubuntu/postrm
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+
+pkgname=libmateweather
+
+exit 0
diff --git a/distro/ubuntu/preinst b/distro/ubuntu/preinst
new file mode 100755
index 0000000..90cfc2c
--- /dev/null
+++ b/distro/ubuntu/preinst
@@ -0,0 +1,8 @@
+#!/bin/sh -e
+
+pkgname=libmateweather
+
+if [ -f usr/share/mateconf/${pkgname}.schemas ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
diff --git a/distro/ubuntu/prerm b/distro/ubuntu/prerm
new file mode 100755
index 0000000..45f86b7
--- /dev/null
+++ b/distro/ubuntu/prerm
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+pkgname=libmateweather
+
+if [ -f usr/share/mateconf/${pkgname}.schemas ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
+exit 0